%{?nodejs_find_provides_and_requires}
%global packagename json-diff
%global enable_tests 1
Name:          nodejs-json-diff
Version:       0.5.2
Release:       2
Summary:       JSON diff
License:       MIT
URL:           https://github.com/andreyvit/json-diff
Source0:       https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
Source1:       https://github.com/andreyvit/json-diff/archive/v%{version}.tar.gz
BuildArch:     noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
%if 0%{?enable_tests}
BuildRequires: coffee-script mocha npm(cli-color) npm(difflib) npm(should)
%endif
%description
JSON diff

%prep
%setup -q -n package

tar -xf %{SOURCE1}
cp -rf %{packagename}-%{version}/test ./
cp -rf %{packagename}-%{version}/example ./
cp -rf %{packagename}-%{version}/doc ./

%nodejs_fixdep cli-color '^1.1.0'
%nodejs_fixdep dreamopt '^0.8.0'
%nodejs_fixdep should

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/%{packagename}.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}/bin/%{packagename}.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/%{packagename}.js \
    %{buildroot}%{_bindir}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%if 0%{?enable_tests}
%{_bindir}/coffee -c -b test/
%{_bindir}/mocha --require should -R spec
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md example/
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}
%{_bindir}/%{packagename}

%changelog
* Wed Sep 16 2020 chengzihan <chengzihan2@huawei.com> - 0.5.2-2
- Use the Source0 from npm instead of github.

* Tue Sep 1 2020 wutao <wutao61@huawei.com> - 0.5.2-1
- package init
